<?php

declare(strict_types=1);

namespace Drupal\sm_transport_drupal_sql;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

final class SmTransportDrupalSqlServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container): void {
    $container
      // Run before 'Senders Service Locator' is built in
      // SymfonyMessengerCompilerPass (priority: 0).
      ->addCompilerPass(new SmTransportDrupalSqlCompilerPass(), priority: 100);
  }

}
